package com.goldencode.hotel.dmo.hotel;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table <code>hotel.reservation_rooms</code> (previously
 * <code>hotel.reservation-rooms</code>).
 */
public interface ReservationRooms
extends DataModelObject
{
   /**
    * Getter: ID
    * 
    * @return  ID
    */
   public integer getReservationId();

   /**
    * Setter: ID
    * 
    * @param   reservationId
    *          ID
    */
   public void setReservationId(NumberType reservationId);

   /**
    * Getter: Type of Room
    * 
    * @return  Type of Room
    */
   public integer getTypeOfRoom();

   /**
    * Setter: Type of Room
    * 
    * @param   typeOfRoom
    *          Type of Room
    */
   public void setTypeOfRoom(NumberType typeOfRoom);

   /**
    * Getter: No. of Rooms
    * 
    * @return  No. of Rooms
    */
   public integer getRooms();

   /**
    * Setter: No. of Rooms
    * 
    * @param   rooms
    *          No. of Rooms
    */
   public void setRooms(NumberType rooms);

   /**
    * DMO interface for use by converted business logic.
    */
   public interface Buf
   extends ReservationRooms, Buffer
   {
   }
}
