package com.goldencode.hotel.dmo._meta;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table <code>_meta.meta_index</code> (previously
 * <code>_meta._index</code>).
 */
public interface MetaIndex
extends DataModelObject
{
   /**
    * Getter: File-recid
    * 
    * @return  File-recid
    */
   public recid getFileRecid();

   /**
    * Setter: File-recid
    * 
    * @param   fileRecid
    *          File-recid
    */
   public void setFileRecid(NumberType fileRecid);

   /**
    * Getter: Index-Name
    * 
    * @return  Index-Name
    */
   public character getIndexName();

   /**
    * Setter: Index-Name
    * 
    * @param   indexName
    *          Index-Name
    */
   public void setIndexName(Text indexName);

   /**
    * Getter: Unique
    * 
    * @return  Unique
    */
   public logical isUnique();

   /**
    * Setter: Unique
    * 
    * @param   unique
    *          Unique
    */
   public void setUnique(logical unique);

   /**
    * Getter: numComp
    * 
    * @return  numComp
    */
   public integer getNumComp();

   /**
    * Setter: numComp
    * 
    * @param   numComp
    *          numComp
    */
   public void setNumComp(NumberType numComp);

   /**
    * Getter: idx-num
    * 
    * @return  idx-num
    */
   public integer getIdxNum();

   /**
    * Setter: idx-num
    * 
    * @param   idxNum
    *          idx-num
    */
   public void setIdxNum(NumberType idxNum);

   /**
    * Indexed Getter: IMisc1
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * 
    * @return  IMisc1
    */
   public integer getIMisc1(int index);

   /**
    * Indexed Setter: IMisc1
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * @param   element
    *          IMisc1
    */
   public void setIMisc1(int index, NumberType element);

   /**
    * Indexed Getter: IMisc2
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * 
    * @return  IMisc2
    */
   public character getIMisc2(int index);

   /**
    * Indexed Setter: IMisc2
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * @param   element
    *          IMisc2
    */
   public void setIMisc2(int index, Text element);

   /**
    * Getter: Active
    * 
    * @return  Active
    */
   public logical isActive();

   /**
    * Setter: Active
    * 
    * @param   active
    *          Active
    */
   public void setActive(logical active);

   /**
    * Indexed Getter: IRes1
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * 
    * @return  IRes1
    */
   public integer getIRes1(int index);

   /**
    * Indexed Setter: IRes1
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * @param   element
    *          IRes1
    */
   public void setIRes1(int index, NumberType element);

   /**
    * Indexed Getter: IRes2
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * 
    * @return  IRes2
    */
   public character getIRes2(int index);

   /**
    * Indexed Setter: IRes2
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * @param   element
    *          IRes2
    */
   public void setIRes2(int index, Text element);

   /**
    * Getter: wordidx
    * 
    * @return  wordidx
    */
   public integer getWordidx();

   /**
    * Setter: wordidx
    * 
    * @param   wordidx
    *          wordidx
    */
   public void setWordidx(NumberType wordidx);

   /**
    * Getter: desc
    * 
    * @return  desc
    */
   public character getDesc();

   /**
    * Setter: desc
    * 
    * @param   desc
    *          desc
    */
   public void setDesc(Text desc);

   /**
    * Getter: forName
    * 
    * @return  forName
    */
   public character getForName();

   /**
    * Setter: forName
    * 
    * @param   forName
    *          forName
    */
   public void setForName(Text forName);

   /**
    * Getter: forType
    * 
    * @return  forType
    */
   public character getForType();

   /**
    * Setter: forType
    * 
    * @param   forType
    *          forType
    */
   public void setForType(Text forType);

   /**
    * Getter: ianum
    * 
    * @return  ianum
    */
   public integer getIanum();

   /**
    * Setter: ianum
    * 
    * @param   ianum
    *          ianum
    */
   public void setIanum(NumberType ianum);

   /**
    * Getter: idxCrc
    * 
    * @return  idxCrc
    */
   public integer getIdxCrc();

   /**
    * Setter: idxCrc
    * 
    * @param   idxCrc
    *          idxCrc
    */
   public void setIdxCrc(NumberType idxCrc);

   /**
    * Getter: idxowner
    * 
    * @return  idxowner
    */
   public character getIdxowner();

   /**
    * Setter: idxowner
    * 
    * @param   idxowner
    *          idxowner
    */
   public void setIdxowner(Text idxowner);

   /**
    * Getter: idxmethod
    * 
    * @return  idxmethod
    */
   public character getIdxmethod();

   /**
    * Setter: idxmethod
    * 
    * @param   idxmethod
    *          idxmethod
    */
   public void setIdxmethod(Text idxmethod);

   /**
    * Getter: User-Misc
    * 
    * @return  User-Misc
    */
   public character getUserMisc();

   /**
    * Setter: User-Misc
    * 
    * @param   userMisc
    *          User-Misc
    */
   public void setUserMisc(Text userMisc);

   /**
    * Getter: lastModified
    * 
    * @return  lastModified
    */
   public datetimetz getLastModified();

   /**
    * Setter: lastModified
    * 
    * @param   lastModified
    *          lastModified
    */
   public void setLastModified(date lastModified);

   /**
    * Getter: modSequence
    * 
    * @return  modSequence
    */
   public integer getModSequence();

   /**
    * Setter: modSequence
    * 
    * @param   modSequence
    *          modSequence
    */
   public void setModSequence(NumberType modSequence);

   /**
    * Getter: Mode
    * 
    * @return  Mode
    */
   public integer getMode();

   /**
    * Setter: Mode
    * 
    * @param   mode
    *          Mode
    */
   public void setMode(NumberType mode);

   /**
    * Getter: Word-Rules
    * 
    * @return  Word-Rules
    */
   public integer getWordRules();

   /**
    * Setter: Word-Rules
    * 
    * @param   wordRules
    *          Word-Rules
    */
   public void setWordRules(NumberType wordRules);

   /**
    * DMO interface for use by converted business logic.
    */
   public interface Buf
   extends MetaIndex, Buffer
   {
      /**
       * Getter: IMisc1
       * 
       * @return  IMisc1
       */
      public integer[] getIMisc1();

      /**
       * Indexed Getter: IMisc1
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * 
       * @return  IMisc1
       */
      public integer getIMisc1(NumberType index);

      /**
       * Indexed Setter: IMisc1
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * @param   element
       *          IMisc1
       */
      public void setIMisc1(NumberType index, NumberType element);

      /**
       * Set all elements of the target list property to the given scalar value. Modifies the
       * contents of: IMisc1
       * 
       * @param   element
       *          Scalar value to which to set all elements of: IMisc1
       */
      public void setIMisc1(NumberType element);

      /**
       * Set as many elements of the target list property as are provided in the given array of
       * scalar values. Modifies the contents of: IMisc1
       * <p>
       * If the given array is larger than the target list, any additional elements in the given
       * array are ignored. If the target array is smaller than the target list, only those
       * elements whose array indices match are updated.
       * 
       * @param   elements
       *          Array of scalar values to which to set the corresponding elements of: IMisc1
       */
      public void setIMisc1(NumberType[] elements);

      /**
       * Getter: IMisc2
       * 
       * @return  IMisc2
       */
      public character[] getIMisc2();

      /**
       * Indexed Getter: IMisc2
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * 
       * @return  IMisc2
       */
      public character getIMisc2(NumberType index);

      /**
       * Indexed Setter: IMisc2
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * @param   element
       *          IMisc2
       */
      public void setIMisc2(NumberType index, Text element);

      /**
       * Set all elements of the target list property to the given scalar value. Modifies the
       * contents of: IMisc2
       * 
       * @param   element
       *          Scalar value to which to set all elements of: IMisc2
       */
      public void setIMisc2(Text element);

      /**
       * Set as many elements of the target list property as are provided in the given array of
       * scalar values. Modifies the contents of: IMisc2
       * <p>
       * If the given array is larger than the target list, any additional elements in the given
       * array are ignored. If the target array is smaller than the target list, only those
       * elements whose array indices match are updated.
       * 
       * @param   elements
       *          Array of scalar values to which to set the corresponding elements of: IMisc2
       */
      public void setIMisc2(Text[] elements);

      /**
       * Getter: IRes1
       * 
       * @return  IRes1
       */
      public integer[] getIRes1();

      /**
       * Indexed Getter: IRes1
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * 
       * @return  IRes1
       */
      public integer getIRes1(NumberType index);

      /**
       * Indexed Setter: IRes1
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * @param   element
       *          IRes1
       */
      public void setIRes1(NumberType index, NumberType element);

      /**
       * Set all elements of the target list property to the given scalar value. Modifies the
       * contents of: IRes1
       * 
       * @param   element
       *          Scalar value to which to set all elements of: IRes1
       */
      public void setIRes1(NumberType element);

      /**
       * Set as many elements of the target list property as are provided in the given array of
       * scalar values. Modifies the contents of: IRes1
       * <p>
       * If the given array is larger than the target list, any additional elements in the given
       * array are ignored. If the target array is smaller than the target list, only those
       * elements whose array indices match are updated.
       * 
       * @param   elements
       *          Array of scalar values to which to set the corresponding elements of: IRes1
       */
      public void setIRes1(NumberType[] elements);

      /**
       * Getter: IRes2
       * 
       * @return  IRes2
       */
      public character[] getIRes2();

      /**
       * Indexed Getter: IRes2
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * 
       * @return  IRes2
       */
      public character getIRes2(NumberType index);

      /**
       * Indexed Setter: IRes2
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * @param   element
       *          IRes2
       */
      public void setIRes2(NumberType index, Text element);

      /**
       * Set all elements of the target list property to the given scalar value. Modifies the
       * contents of: IRes2
       * 
       * @param   element
       *          Scalar value to which to set all elements of: IRes2
       */
      public void setIRes2(Text element);

      /**
       * Set as many elements of the target list property as are provided in the given array of
       * scalar values. Modifies the contents of: IRes2
       * <p>
       * If the given array is larger than the target list, any additional elements in the given
       * array are ignored. If the target array is smaller than the target list, only those
       * elements whose array indices match are updated.
       * 
       * @param   elements
       *          Array of scalar values to which to set the corresponding elements of: IRes2
       */
      public void setIRes2(Text[] elements);

   }
}
