package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface ReservationsChooseGuestFAddGuest
extends CommonFrame
{
   public static final Class configClass = ReservationsChooseGuestFAddGuestDef.class;

   public integer getGuestId();

   public void setGuestId(integer parm);

   public void setGuestId(int parm);

   public void setGuestId(BaseDataType parm);

   public FillInWidget widgetGuestId();

   public character getFirstName();

   public void setFirstName(character parm);

   public void setFirstName(String parm);

   public void setFirstName(BaseDataType parm);

   public FillInWidget widgetFirstName();

   public character getLastName();

   public void setLastName(character parm);

   public void setLastName(String parm);

   public void setLastName(BaseDataType parm);

   public FillInWidget widgetLastName();

   public date getDateOfBirth();

   public void setDateOfBirth(date parm);

   public void setDateOfBirth(BaseDataType parm);

   public FillInWidget widgetDateOfBirth();

   public static class ReservationsChooseGuestFAddGuestDef
   extends WidgetList
   {
      FillInWidget guestId = new FillInWidget();

      FillInWidget firstName = new FillInWidget();

      FillInWidget lastName = new FillInWidget();

      FillInWidget dateOfBirth = new FillInWidget();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setOverlay(true);
         frame.setCentered(true);
         frame.setTitle("Add guest");
         frame.setSideLabels(true);
         guestId.setDbname("hotel");
         guestId.setTable("guest");
         guestId.setDataType("integer");
         guestId.setRow(1);
         guestId.setColumn(20);
         guestId.setAlign(ControlEntity.ALIGN_COLON);
         firstName.setDbname("hotel");
         firstName.setTable("guest");
         firstName.setDataType("character");
         firstName.setRow(2);
         firstName.setColumn(20);
         firstName.setAlign(ControlEntity.ALIGN_COLON);
         lastName.setDbname("hotel");
         lastName.setTable("guest");
         lastName.setDataType("character");
         lastName.setRow(3);
         lastName.setColumn(20);
         lastName.setAlign(ControlEntity.ALIGN_COLON);
         dateOfBirth.setDbname("hotel");
         dateOfBirth.setTable("guest");
         dateOfBirth.setDataType("date");
         dateOfBirth.setRow(4);
         dateOfBirth.setColumn(20);
         dateOfBirth.setAlign(ControlEntity.ALIGN_COLON);
         guestId.setDbname("hotel");
         guestId.setTable("guest");
         firstName.setDbname("hotel");
         firstName.setTable("guest");
         lastName.setDbname("hotel");
         lastName.setTable("guest");
         dateOfBirth.setDbname("hotel");
         dateOfBirth.setTable("guest");
         firstName.setFormat("x(25)");
         firstName.setLabel("First Name");
         firstName.setColumnLabel("First Name");
         lastName.setFormat("x(25)");
         lastName.setLabel("Last Name");
         lastName.setColumnLabel("Last Name");
         dateOfBirth.setFormat("99/99/99");
         dateOfBirth.setLabel("Date of Birth");
         dateOfBirth.setColumnLabel("Date of Birth");
         guestId.setFormat(">,>>>,>>9");
         guestId.setLabel("Guest ID");
         guestId.setColumnLabel("Guest ID");
      }

      {
         addWidget("guestId", "guest-id", guestId);
         addWidget("firstName", "first-name", firstName);
         addWidget("lastName", "last-name", lastName);
         addWidget("dateOfBirth", "date-of-birth", dateOfBirth);
      }
   }
}
