package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface ReservationsFRes
extends CommonFrame
{
   public static final Class configClass = ReservationsFResDef.class;

   public integer getRId();

   public void setRId(integer parm);

   public void setRId(int parm);

   public void setRId(BaseDataType parm);

   public FillInWidget widgetRId();

   public date getRCheckin();

   public void setRCheckin(date parm);

   public void setRCheckin(BaseDataType parm);

   public FillInWidget widgetRCheckin();

   public date getRCheckout();

   public void setRCheckout(date parm);

   public void setRCheckout(BaseDataType parm);

   public FillInWidget widgetRCheckout();

   public character getRState();

   public void setRState(character parm);

   public void setRState(String parm);

   public void setRState(BaseDataType parm);

   public FillInWidget widgetRState();

   public character getRStateName();

   public void setRStateName(character parm);

   public void setRStateName(String parm);

   public void setRStateName(BaseDataType parm);

   public FillInWidget widgetRStateName();

   public decimal getRDiscount();

   public void setRDiscount(decimal parm);

   public void setRDiscount(double parm);

   public void setRDiscount(BaseDataType parm);

   public FillInWidget widgetRDiscount();

   public integer getGId();

   public void setGId(integer parm);

   public void setGId(int parm);

   public void setGId(BaseDataType parm);

   public FillInWidget widgetGId();

   public character getGFN();

   public void setGFN(character parm);

   public void setGFN(String parm);

   public void setGFN(BaseDataType parm);

   public FillInWidget widgetGFN();

   public character getGLN();

   public void setGLN(character parm);

   public void setGLN(String parm);

   public void setGLN(BaseDataType parm);

   public FillInWidget widgetGLN();

   public date getGDob();

   public void setGDob(date parm);

   public void setGDob(BaseDataType parm);

   public FillInWidget widgetGDob();

   public character getGPhoneNumber();

   public void setGPhoneNumber(character parm);

   public void setGPhoneNumber(String parm);

   public void setGPhoneNumber(BaseDataType parm);

   public FillInWidget widgetGPhoneNumber();

   public static class ReservationsFResDef
   extends WidgetList
   {
      FillInWidget rId = new FillInWidget();

      FillInWidget rCheckin = new FillInWidget();

      FillInWidget rCheckout = new FillInWidget();

      SkipEntity expr7 = new SkipEntity();

      FillInWidget rState = new FillInWidget();

      FillInWidget rStateName = new FillInWidget();

      FillInWidget rDiscount = new FillInWidget();

      SkipEntity expr11 = new SkipEntity();

      SkipEntity expr12 = new SkipEntity();

      FillInWidget gId = new FillInWidget();

      FillInWidget gFN = new FillInWidget();

      FillInWidget gLN = new FillInWidget();

      FillInWidget gDob = new FillInWidget();

      FillInWidget gPhoneNumber = new FillInWidget();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setWidthChars(80);
         frame.setHeightChars(20);
         frame.setScrollable(true);
         frame.setRow(2);
         frame.setColumn(1);
         frame.setTitle("Reservation Management");
         frame.setSideLabels(true);
         rId.setDataType("integer");
         rCheckin.setDataType("date");
         rCheckout.setDataType("date");
         expr7.setVertical(true);
         expr7.setHeight(0);
         rState.setDataType("character");
         rStateName.setDataType("character");
         rStateName.setNoLabels(true);
         rDiscount.setDataType("decimal");
         rDiscount.setTo(49);
         expr11.setVertical(true);
         expr11.setHeight(0);
         expr12.setVertical(true);
         expr12.setHeight(0);
         gId.setDataType("integer");
         gId.setRow(3);
         gId.setColumn(20);
         gId.setAlign(ControlEntity.ALIGN_COLON);
         gFN.setDataType("character");
         gFN.setRow(4);
         gFN.setColumn(20);
         gFN.setAlign(ControlEntity.ALIGN_COLON);
         gLN.setDataType("character");
         gLN.setRow(5);
         gLN.setColumn(20);
         gLN.setAlign(ControlEntity.ALIGN_COLON);
         gDob.setDataType("date");
         gDob.setRow(6);
         gDob.setColumn(20);
         gDob.setAlign(ControlEntity.ALIGN_COLON);
         gPhoneNumber.setDataType("character");
         gPhoneNumber.setRow(7);
         gPhoneNumber.setColumn(20);
         gPhoneNumber.setAlign(ControlEntity.ALIGN_COLON);
         rState.setAt(true);
         rState.setAtFormatLength(1);
         gId.setHelpStatic("Enter ? to search guest or guest-id");
         gId.setFormat(">,>>>,>>9");
         gId.setLabel("Guest ID");
         gId.setColumnLabel("Guest ID");
         rStateName.setFormat("x(11)");
         rStateName.setLabel("r-state-name");
         rCheckin.setFormat("99/99/99");
         rCheckin.setLabel("Checkin");
         rCheckin.setColumnLabel("Checkin");
         gLN.setFormat("x(25)");
         gLN.setLabel("Last Name");
         gLN.setColumnLabel("Last Name");
         rId.setFormat(">,>>>,>>9");
         rId.setLabel("Reservation Number");
         rId.setColumnLabel("Reservation Number");
         gFN.setFormat("x(25)");
         gFN.setLabel("First Name");
         gFN.setColumnLabel("First Name");
         rState.setFormat("x(1)");
         rState.setLabel("State");
         rDiscount.setFormat(">>9.99%");
         rDiscount.setLabel("Discount %");
         rDiscount.setColumnLabel("Discount %");
         rCheckout.setFormat("99/99/99");
         rCheckout.setLabel("Checkout");
         rCheckout.setColumnLabel("Checkout");
         gPhoneNumber.setFormat("(999)999-9999");
         gPhoneNumber.setLabel("Phone #");
         gPhoneNumber.setColumnLabel("Phone #");
         gDob.setFormat("99/99/99");
         gDob.setLabel("Date of Birth");
         gDob.setColumnLabel("Date of Birth");
      }

      {
         addWidget("rId", "r-id", rId);
         addWidget("rCheckin", "r-checkin", rCheckin);
         addWidget("rCheckout", "r-checkout", rCheckout);
         addWidget("expr7", "", expr7);
         addWidget("rState", "r-state", rState);
         addWidget("rStateName", "r-state-name", rStateName);
         addWidget("rDiscount", "r-discount", rDiscount);
         addWidget("expr11", "", expr11);
         addWidget("expr12", "", expr12);
         addWidget("gId", "g-id", gId);
         addWidget("gFN", "g-f-n", gFN);
         addWidget("gLN", "g-l-n", gLN);
         addWidget("gDob", "g-dob", gDob);
         addWidget("gPhoneNumber", "g-phone#", gPhoneNumber);
      }
   }
}
